<script setup lang="js">
defineProps({
    to: { type: String, required: true },
    imgSrc: { type: String, required: true },
    label: { type: String, required: true },
    spanLabelClasses: { type: Object, required: false, default: () => ({}) }
})
</script>
<template>
    <NuxtLink :to="to" :alt="label">
        <div class="flex flex-row gap-x-4 items-center rounded-s-3xl rounded-e-3xl xl:rounded-e-xl">
            <img class="w-[51px] h-[51px]" :src="imgSrc" />
            <span
                :class="[spanLabelClasses, 'hidden xl:flex text-black hover:opacity-75 text-lg font-las-title']">
                {{label}}
            </span>
        </div>
    </NuxtLink>
</template>